## org.hibernate.ejb.criteria.expression.function
Class CurrentTimestampFunction

    java.lang.Object
      org.hibernate.ejb.criteria.AbstractNode
          org.hibernate.ejb.criteria.expression.AbstractTupleElement<X>
              org.hibernate.ejb.criteria.expression.SelectionImpl<T>
                  org.hibernate.ejb.criteria.expression.ExpressionImpl<X>
                      org.hibernate.ejb.criteria.expression.function.BasicFunctionExpression<Timestamp>
                          org.hibernate.ejb.criteria.expression.function.CurrentTimestampFunction

All Implemented Interfaces:
  Serializable, Expression<Timestamp>, Selection<Timestamp>, TupleElement<Timestamp>, FunctionExpression<Timestamp>, ExpressionImplementor<Timestamp>, ParameterContainer, Renderable, SelectionImplementor<Timestamp>, TupleElementImplementor<Timestamp>

    public class CurrentTimestampFunction

extends BasicFunctionExpression<Timestamp>
implements Serializable

Models the ANSI SQL `CURRENT_TIMESTAMP` function.

See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from interface org.hibernate.ejb.criteria.ParameterContainer
`ParameterContainer.Helper`

Field Summary
`static String` `NAME`

Constructor Summary
`CurrentTimestampFunction(CriteriaBuilderImpl criteriaBuilder)`

Method Summary

Methods inherited from class org.hibernate.ejb.criteria.expression.function.BasicFunctionExpression
`getFunctionName, isAggregation, properSize, registerParameters, render, renderProjection`

Methods inherited from class org.hibernate.ejb.criteria.expression.ExpressionImpl
`as, asBigDecimal, asBigInteger, asDouble, asFloat, asInteger, asLong, asString, in, in, in, in, isNotNull, isNull`

Methods inherited from class org.hibernate.ejb.criteria.expression.SelectionImpl
`alias, getCompoundSelectionItems, getValueHandlers, isCompoundSelection`

Methods inherited from class org.hibernate.ejb.criteria.expression.AbstractTupleElement
`forceConversion, getAlias, getJavaType, getValueHandler, resetJavaType, setAlias`

Methods inherited from class org.hibernate.ejb.criteria.AbstractNode
`criteriaBuilder`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface javax.persistence.criteria.Expression
`as, in, in, in, in, isNotNull, isNull`

Methods inherited from interface javax.persistence.criteria.Selection
`alias, getCompoundSelectionItems, isCompoundSelection`

Methods inherited from interface javax.persistence.TupleElement
`getAlias, getJavaType`

Methods inherited from interface org.hibernate.ejb.criteria.SelectionImplementor
`getValueHandlers`

Methods inherited from interface org.hibernate.ejb.criteria.TupleElementImplementor
`getValueHandler`

Field Detail

### NAME

    public static final String NAME

See Also:
  Constant Field Values

Constructor Detail

### CurrentTimestampFunction

    public CurrentTimestampFunction(CriteriaBuilderImpl criteriaBuilder)

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.